DomainClassGrailsPlugin (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins

## [Groovy] Class DomainClassGrailsPlugin

- org.codehaus.groovy.grails.plugins.DomainClassGrailsPlugin

- Configures the domain classes in the spring context.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.Object` | `PROPERTY_INSTANCE_MAP`
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `doWithDynamicMethods`
    `java.lang.Object` | `doWithSpring`
    `java.lang.Object` | `loadAfter`
    `java.lang.Object` | `onChange`
    `java.lang.Object` | `onConfigChange`
    `java.lang.Object` | `version` /*.groovy", "file:.
    `java.lang.Object` | `watchedResources`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.lang.Object` | `addRelationshipManagementMethods(GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)`
    `static void` | `addValidationMethods(GrailsApplication application, GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)`
    `static java.lang.Object` | `enhanceDomainClasses(GrailsApplication application, org.springframework.context.ApplicationContext ctx)`
    `static java.lang.Object` | `getDefaultConstraints(groovy.util.ConfigObject config)`
    `static void` | `registerConstraintsProperty(groovy.lang.MetaClass metaClass, GrailsDomainClass domainClass)` Registers the constraints property for the given MetaClass and domainClass instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.Object PROPERTY_INSTANCE_MAP

    - #### java.lang.Object dependsOn

    - #### java.lang.Object doWithDynamicMethods

    - #### java.lang.Object doWithSpring

    - #### java.lang.Object loadAfter

    - #### java.lang.Object onChange

    - #### java.lang.Object onConfigChange

    - #### java.lang.Object version

      /*.groovy", "file:./plugins/

    - #### java.lang.Object watchedResources

  - ### Method Detail

    - #### static java.lang.Object addRelationshipManagementMethods(GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)

    - #### static void addValidationMethods(GrailsApplication application, GrailsDomainClass dc, org.springframework.context.ApplicationContext ctx)

    - #### static java.lang.Object enhanceDomainClasses(GrailsApplication application, org.springframework.context.ApplicationContext ctx)

    - #### static java.lang.Object getDefaultConstraints(groovy.util.ConfigObject config)

    - #### static void registerConstraintsProperty(groovy.lang.MetaClass metaClass, GrailsDomainClass domainClass)

      Registers the constraints property for the given MetaClass and domainClass instance